Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.coverage
Interface DiscreteCoverage

All Superinterfaces:
  Coverage

All Known Subinterfaces:
  DiscreteCurveCoverage, DiscreteGridPointCoverage, DiscretePointCoverage, DiscreteSolidCoverage, DiscreteSurfaceCoverage

    @UML(identifier="CV_DiscreteCoverage",
         specification=ISO_19123)
    public interface DiscreteCoverage

extends Coverage

A coverage that returns the same record of feature attribute values for any direct position within a single object in its domain. The domain of a discrete coverage consists of a collection of geometric objects. Discrete coverages are subclassed on the basis of the type of geometric object in the spatial domain. Each subclass of `DiscreteCoverage` is associated with a specific subclass of `GeometryValuePair`.

Method Summary
`Set` | `evaluate(DirectPosition p, Collection<String> list)` Returns a set of records of feature attribute values for the specified direct position.
`Set<? extends DomainObject>` | `evaluateInverse(Object v)` Locates the geometry-value pairs for which value equals the input record, and return the set of domain objects belonging to those geometry-value pairs.
`Set<? extends GeometryValuePair>` | `getElements()` Returns the set of geometry-value pairs included in this coverage.
`Set<? extends GeometryValuePair>` | `locate(DirectPosition p)` Returns the set of geometry-value pairs that include the domain objects containing the specified direct position.

Methods inherited from interface Coverage
`evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluateInverse, find, find, getCommonPointRule, getCoordinateReferenceSystem, getDimensionNames, getDomainElements, getDomainExtents, getEnvelope, getMetadataNames, getMetadataValue, getNumSampleDimensions, getRangeElements, getRangeType, getRenderableImage, getSampleDimension, getSources, list, select`

Method Detail

### getElements

    @UML(identifier="element",
         obligation=OPTIONAL,
         specification=ISO_19123)
    Set<? extends GeometryValuePair> getElements()

  Returns the set of geometry-value pairs included in this coverage.

  TODO:
    Is it duplicating `Coverage.list()`?

### locate

    @UML(identifier="locate",
         obligation=OPTIONAL,
         specification=ISO_19123)
    Set<? extends GeometryValuePair> locate(DirectPosition p)

  Returns the set of geometry-value pairs that include the domain objects containing the specified direct position. It shall return `null` if the direct position is not on any of the objects within the domain of the discrete coverage.

### evaluate

    @UML(identifier="evaluate",
         obligation=MANDATORY,
         specification=ISO_19123)
    Set evaluate(DirectPosition p,
                                                                        Collection<String> list)

  Returns a set of records of feature attribute values for the specified direct position. Normally, the input direct position will fall within only one geometry-value pair, and the operation will return the record of feature attribute values associated with that geometry-value pair. If the direct position falls on the boundary between two geometry-value pairs, or within two or more overlapping geometry-value pairs, the operation shall return a record of feature attribute values derived according to the common point rule. It shall return `null` if the direct position is not on any of the objects within the domain of the discrete coverage.

  TODO:
    Superclass throws an exception if the position is not in the domain (instead of returning null)..., Returns type should be Set.

### evaluateInverse

    @UML(identifier="evaluateInverse",
         obligation=OPTIONAL,
         specification=ISO_19123)
    Set<? extends DomainObject> evaluateInverse(Object v)

  Locates the geometry-value pairs for which value equals the input record, and return the set of domain objects belonging to those geometry-value pairs. It shall return `null` set if none of the geometry-value pairs associated with this discrete coverage has a value equal to the input record.

  TODO:
    Missing the Record argument.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.